﻿# OBSBlur
...allows the _safer_ use of DisplayCaptures in OBS Studio, by overlaying an image
over specific windows.

### There is no guarantee that there will be absolutely no information spill. No responsibility is taken by me.

## Prerequisites
OBS-Websocket (now included in OBSStudio by default).

## Installation and configuration
[Download](https://git.bernloehr.eu/glax/OBSBlur/releases), or compile, OBSBlur and start.
A `config.json` will be created in the same folder.

Edit values to match OBS-Websocket settings (include `ws://` before the address).

There is two options for blurring:
1. By executable (e.g. chrome.exe) `BlurPrograms`
2. By window-title `BlurWindows`

`EnabledScenes` is a collection of Scene-Names (OBS) where there is a
DisplayCapture. Each of these Scenes needs a template (Source) called "Blur".

![Blur](Blur.png)

This will be used for all Blurs, and can be hidden.

`DisplayCaptureName` is the name of the SceneItem (Source) that should be referenced for position.